Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.util
Class PropertyId<T>

    java.lang.Object
      com.thaiopensource.util.PropertyId<T>

Direct Known Subclasses:
  FlagPropertyId, StringPropertyId

    public class PropertyId<T>

extends Object

Constructor Summary
`protected` | `PropertyId(String name, Class<T> valueClass)`

Method Summary
`boolean` | `equals(Object obj)`
`T` | `get(PropertyMap map)` Deprecated.
`Class<T>` | `getValueClass()`
`int` | `hashCode()`
`static
`<T> PropertyId<T>`
` | `newInstance(String name, Class<T> valueClass)`
`T` | `put(PropertyMapBuilder builder, T value)` Deprecated.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyId

    protected PropertyId(String name,
                         Class<T> valueClass)

Method Detail

### newInstance

    public static <T> PropertyId<T> newInstance(String name,
                                                Class<T> valueClass)

### getValueClass

    public Class<T> getValueClass()

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public final boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### get

    public T get(PropertyMap map)

  Deprecated.

### put

    public T put(PropertyMapBuilder builder,
                 T value)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD